Memcached::prependByKey
Memcached::replaceByKey
Memcached
PHP Manual

# Memcached::replace

(PECL memcached >= 0.1.0)

Memcached::replace — Replace the item under an existing key

### Description

public bool Memcached::replace ( string `$key` , mixed `$value` [, int `$expiration` ] )

Memcached::replace() is similar to Memcached::set, but the operation fails if the `key` does not exist on the server.

### Parameters

`key`

  The key under which to store the value.

`value`

  The value to store.

`expiration`

  The expiration time, defaults to 0. See Expiration Times for more info.

### Return Values

Returns `TRUE` on success or `FALSE` on failure. The Memcached::getResultCode will return `Memcached::RES_NOTSTORED` if the key does not exist.

### See Also

- Memcached::replaceByKey - Replace the item under an existing key on a specific server
- Memcached::set - Store an item
- Memcached::add - Add an item under a new key

Memcached::prependByKey
Memcached::replaceByKey
Memcached
PHP Manual